package com.philisense.www.dao;


import java.util.List;
import java.util.Map;

public interface ProMenuAuthDAO extends BaseCRUDDAO{
    public List<Map<String, Object>> getAllMenuTreeByAuthID(Map<String, Object> map);

    public List<Map<String, Object>> getPageAuthByMenuTreeId(Map<String, Object> map);

    public int getCountAuthByMenuTreeId(Map<String, Object> map);

    public int updateDropNode(Map<String, Object> map);

    void deleteBatchByAuthID(Map<String, Object> map);
}
